/* odeiavir.h - definitions for odeiavir.c
 *
 * Copyright (C) 2001  ViaLink Internet S/C Ltda, Rio de Janeiro, Brazil
 *                     http://www.vialink.com.br/
 * Author:             Juan Carlos Castro y Castro <jcastro@vialink.com.br>
 *
 * See the README file for more info.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, you can either send email to this
 * program's maintainer or write to: The Free Software Foundation,
 * Inc.; 59 Temple Place, Suite 330; Boston, MA 02111-1307, USA.
 */

#ifndef __ODEIAVIR__H__
#define __ODEIAVIR__H__

/* Config parameters */

#define EXEC_RIPMIME		"/usr/bin/ripmime"
#define EXEC_AV_MCAFEE		"/usr/local/bin/uvscan"
#define EXEC_AV_FPROT		"/usr/bin/f-prot"
#define EXEC_AV_PANDA		"/usr/bin/pavcl"
#define EXEC_AV_SOPHOS		"/usr/bin/sweep"
#define EXEC_INJECT		"/var/qmail/bin/qmail-inject"
#define TEMP_DIR		"/tmp"
#define WARNING_MSG_RECIP	SYSCONFDIR "/warning.txt"
#define WARNING_MSG_SENDER	SYSCONFDIR "/swarning.txt"
#define WARNING_MSG_OTHER	SYSCONFDIR "/owarning.txt"
#define SUBJECT_LINE		"VIRUS ALERT:"

/* Constants */

#define	OPTIONS_BEFORE	0
#define	OPTIONS_AFTER	1

/* Antivirus definition structure */

typedef struct
{
	int	retval_virus;
	char	*executable;
	int	where_options;
	char	*options;
	char	*beforename;
	char	*aftername;
} AVDEF;

#endif /* __ODEIAVIR__H__ */
